[postgis-tickets] [SCM] PostGIS branch stable-3.2 updated. 3.2.1-36-ge174cec94

git at osgeo.org git at osgeo.org
Mon Jul 18 03:42:57 PDT 2022


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".

The branch, stable-3.2 has been updated
       via  e174cec94394d862f1afb4bf1d447b459e9d7b94 (commit)
       via  af6414bf61efc20b8a621d29758c77515cef3315 (commit)
       via  715e0d2fa1c5ecc185e1e07affb9bdd23726e0b9 (commit)
      from  ab58faa8bf7b95187d74179e78946e2284fb8b85 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit e174cec94394d862f1afb4bf1d447b459e9d7b94
Author: Regina Obe <lr at pcorp.us>
Date:   Mon Jul 18 06:11:14 2022 -0400

    raster ST_Value is undercosted References #5154 for PostGIS 3.2.2

diff --git a/NEWS b/NEWS
index 71851600f..29484ee66 100644
--- a/NEWS
+++ b/NEWS
@@ -1,5 +1,5 @@
-PostGIS 3.2.2dev
-2022/MM/DD
+PostGIS 3.2.2
+2022/07/DD
 
 * Bug Fixes *
   - #5182, Fix loading topology.sql in new database (Sandro Santilli)
@@ -24,6 +24,7 @@ PostGIS 3.2.2dev
   - #5152, Fix infinite loop with ST_Split (Sandro Santilli)
   - #5173, Crash creating flatgeobuf on row without geometry (Julien Rouhaud)
   - #4541, ST_ConcaveHull returns a "geometrycollection" type instead of the expected "polygon"
+- - #5154, raster ST_Value is undercosted (Regina Obe)
 
 
 PostGIS 3.2.1
diff --git a/raster/rt_pg/rtpostgis.sql.in b/raster/rt_pg/rtpostgis.sql.in
index f0084873d..76890bd85 100644
--- a/raster/rt_pg/rtpostgis.sql.in
+++ b/raster/rt_pg/rtpostgis.sql.in
@@ -4609,23 +4609,23 @@ CREATE OR REPLACE FUNCTION St_BandFileTimestamp(rast raster, band integer DEFAUL
 CREATE OR REPLACE FUNCTION st_value(rast raster, band integer, x integer, y integer, exclude_nodata_value boolean DEFAULT TRUE)
     RETURNS float8
     AS 'MODULE_PATHNAME','RASTER_getPixelValue'
-    LANGUAGE 'c' IMMUTABLE STRICT PARALLEL SAFE;
+    LANGUAGE 'c' IMMUTABLE STRICT PARALLEL SAFE _COST_MEDIUM;
 
 -- Changed: 3.2.0 added resample arg
 CREATE OR REPLACE FUNCTION st_value(rast raster, band integer, pt geometry, exclude_nodata_value boolean DEFAULT TRUE, resample text DEFAULT 'nearest')
 	RETURNS float8
 	AS 'MODULE_PATHNAME', 'RASTER_getPixelValueResample'
-	LANGUAGE 'c' IMMUTABLE STRICT PARALLEL SAFE;
+	LANGUAGE 'c' IMMUTABLE STRICT PARALLEL SAFE _COST_MEDIUM;
 
 CREATE OR REPLACE FUNCTION st_value(rast raster, x integer, y integer, exclude_nodata_value boolean DEFAULT TRUE)
     RETURNS float8
     AS $$ SELECT st_value($1, 1::integer, $2, $3, $4) $$
-    LANGUAGE 'sql' IMMUTABLE STRICT PARALLEL SAFE;
+    LANGUAGE 'sql' IMMUTABLE STRICT PARALLEL SAFE _COST_MEDIUM;
 
 CREATE OR REPLACE FUNCTION st_value(rast raster, pt geometry, exclude_nodata_value boolean DEFAULT TRUE)
     RETURNS float8
     AS $$ SELECT @extschema at .ST_value($1, 1::integer, $2, $3, 'nearest'::text) $$
-    LANGUAGE 'sql' IMMUTABLE STRICT PARALLEL SAFE;
+    LANGUAGE 'sql' IMMUTABLE STRICT PARALLEL SAFE _COST_MEDIUM;
 
 -- Availability: 3.2.0 added resample arg
 CREATE OR REPLACE FUNCTION st_setz(rast raster, geom geometry, resample text DEFAULT 'nearest', band integer default 1)

commit af6414bf61efc20b8a621d29758c77515cef3315
Author: Regina Obe <lr at pcorp.us>
Date:   Mon Jul 18 06:06:22 2022 -0400

    Fix bessie32 build, now using gcc11

diff --git a/ci/bessie32/postgis_regress.sh b/ci/bessie32/postgis_regress.sh
index 10c838ea9..0d721ca43 100644
--- a/ci/bessie32/postgis_regress.sh
+++ b/ci/bessie32/postgis_regress.sh
@@ -1,11 +1,16 @@
+#!/usr/bin/env bash
+
+set -e
+
 #export PATH=${PATH}:/usr/local:/usr/local/lib:/usr/local/bin
+export CC=gcc11
+export CXX=g++11
+export CXXFLAGS="-O2 -pipe  -fstack-protector-strong -Wl,-rpath=/usr/local/lib/gcc11  -nostdinc++ -isystem /usr/include/c++/v1 -Wl,-rpath=/usr/local/lib/gcc11"
+export CFLAGS="-Wall -Wmissing-prototypes -Wpointer-arith -Wendif-labels -Wmissing-format-attribute -Wformat-security -fno-strict-aliasing -fwrapv -fexcess-precision=standard -Wno-format-trunc"
+export PATH=${PATH}:/usr/local:/usr/local/lib:/usr/local/bin
 sh autogen.sh
-CC=gcc8   \
-CXX=g++8 \
-CXXFLAGS="-O2 -pipe  -fstack-protector-strong -Wl,-rpath=/usr/local/lib/gcc8  -nostdinc++ -isystem /usr/include/c++/v1 -Wl,-rpath=/usr/local/lib/gcc8" \
-CFLAGS="-Wall -Wmissing-prototypes -Wpointer-arith -Wendif-labels -Wmissing-format-attribute -Wformat-security -fno-strict-aliasing -fwrapv -fexcess-precision=standard -Wno-format-trunc" \
- ./configure --with-libiconv=/usr/local --without-interrupt-tests
-make clean
+./configure PKG_CONFIG=/usr/local/bin/pkgconf LDFLAGS="-L/usr/local/lib" --with-libiconv-prefix=/usr/local --without-gui --without-interrupt-tests --with-topology --with-raster --with-sfcgal=/usr/local/bin/sfcgal-config --with-address-standardizer --with-protobuf --with-wagyu
+
 make
 export PGUSER=postgres
 export PGIS_REG_TMPDIR=~/tmp/pgis_reg_${BRANCH}

commit 715e0d2fa1c5ecc185e1e07affb9bdd23726e0b9
Author: Regina Obe <lr at pcorp.us>
Date:   Sun Jul 17 18:59:59 2022 -0400

    Generate md5 hash. Closes #5159 for PostGIS 3.2.2

diff --git a/ci/debbie/postgis_make_dist.sh b/ci/debbie/postgis_make_dist.sh
index c07091c2f..085ff20fa 100644
--- a/ci/debbie/postgis_make_dist.sh
+++ b/ci/debbie/postgis_make_dist.sh
@@ -31,7 +31,9 @@ export newoutdir="postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${PO
 
 sh make_dist.sh
 export package=${newoutdir}.tar.gz
+md5sum ${package} > ${package}.md5
 echo "The package name is $package"
 
 cp $package $WEB_DIR
+cp ${package}.md5 $WEB_DIR
 bash ci/debbie/postgis_release_docs.sh

-----------------------------------------------------------------------

Summary of changes:
 NEWS                           |  5 +++--
 ci/bessie32/postgis_regress.sh | 17 +++++++++++------
 ci/debbie/postgis_make_dist.sh |  2 ++
 raster/rt_pg/rtpostgis.sql.in  |  8 ++++----
 4 files changed, 20 insertions(+), 12 deletions(-)


hooks/post-receive
-- 
PostGIS


More information about the postgis-tickets mailing list